Warning: Don’t Use Internet Explorer to Work with the RoyalSlider Plugin

When creating a new or editing an existing slide show with the RoyalSlider plugin, make sure to use a different web browser than Internet Explorer.  Firefox, Chrome, and Safari should work fine.

If you use Internet Explorer, you won’t be able to save any of your changes.